List Banners
Returns a list of Banners. Default sorting is by banner id, from lowest to highest.
Authentication
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
Headers
The MIME type of the response body.
Query parameters
Optional filter param /api/v2/banners?min_id={value}
Optional filter param /api/v2/banners?max_id={value}
Optional filter param /api/v2/banners?page={number}
Optional filter param /api/v2/banners?limit={count}
Response
If the datetype is set as ‘custom’, this field specifies the date when the banner should become visible on the storefront.
If the datetype is set as ‘custom’, this field specifies the date when the banner should stop being visible on the storefront.
Id of the banner. This is a READ-ONLY field; do not set or modify its value in a POST or PUT request.
If the banner is on a specific category or brand page, then the item_id will correspond the category or brand ID.
Integer value denoting whether or not the banner is visible on the storefront: 1 = visible; 0 = not visible